Package Details: msbuild-sdkresolver 16.4+xamarinxplat.2019.09.09.15.03-2

Git Clone URL: https://aur.archlinux.org/msbuild.git (read-only)
Package Base: msbuild
Description: Xamarin implementation of the Microsoft build system (SDK resolver)
Upstream URL: https://github.com/mono/msbuild
Licenses: MIT
Submitter: fmauNeko
Maintainer: fmauNeko
Last Packager: fmauNeko
Votes: 3
Popularity: 0.036924
First Submitted: 2019-04-17 13:23
Last Updated: 2019-11-29 15:29

Pinned Comments

fmauNeko commented on 2019-10-03 08:29

The update to 16.4 is ready, I'm just waiting for the Mono 6.4.0 package to be published. (16.4 doesn't build against Mono 6.0.0)

Latest Comments

1 2 3 Next › Last »

fmauNeko commented on 2019-11-29 15:31

16.4 has been pushed, depending on Mono 6.4.0. Also the libhostfxr.so copy error should be fixed.

srki_82 commented on 2019-11-29 12:02

We now have Mono 6.4.0 in the Extra repo :)

gururise commented on 2019-11-21 22:30

getting this error:

cp: will not overwrite just-created './mono/SdkResolvers/Microsoft.DotNet.MSBuildSdkResolver/libhostfxr.so' with '/usr/lib/libhostfxr.so'
==> ERROR: A failure occurred in prepare().

hugegameartgd commented on 2019-10-28 18:20

Still getting the "Installation finished successfully" error


Edit: Editing /etc/security/limits.conf /etc/systemd/system.conf /etc/systemd/user.conf and changing hard and soft limit to a much higher value fixed it for me.

fmauNeko commented on 2019-10-28 11:02

@foodtooth Indeed this version requires dotnet >= 3.0.0. This version is provided by the dotnet-sdk-bin and dotnet-host-bin AUR packages. They are still working on updating the repo packages (which is source-built).

foodtooth commented on 2019-10-28 06:55

Hi,guys! Do we need to have package dotnet-host(and sdk) to be version>=3.0.0? Those packages in community repo remain out-of-dated since two months ago. How can I build msbuild for now?

fmauNeko commented on 2019-10-03 08:29

The update to 16.4 is ready, I'm just waiting for the Mono 6.4.0 package to be published. (16.4 doesn't build against Mono 6.0.0)

zebulon commented on 2019-09-06 05:02

On my system, I had to take care of those settings to make it compile:

Firstly, increase ulimit (default is 1024), e.g. ulimit -n 4096.

Secondly, make sure that en_US.UTF-8 UTF-8 is one of the generated locales.

Can those requirements be enforced in the PKGBUILD?

hugegameartgd commented on 2019-08-28 15:50

I get:

Downloading 'https://dot.net/v1/dotnet-install.sh'
/run/media/user/Windows/.cache/yay/msbuild/src/msbuild-16.3/.dotnet/dotnet-install.sh: Zeile 147: VERSION_ID ist nicht gesetzt.
/run/media/user/Windows/.cache/yay/msbuild/src/msbuild-16.3/.dotnet/dotnet-install.sh: Zeile 205: VERSION_ID ist nicht gesetzt.
dotnet-install: Downloading link: https://dotnetcli.azureedge.net/dotnet/Runtime/2.1.7/dotnet-runtime-2.1.7-linux-x64.tar.gz
dotnet-install: Extracting zip from https://dotnetcli.azureedge.net/dotnet/Runtime/2.1.7/dotnet-runtime-2.1.7-linux-x64.tar.gz
/run/media/user/Windows/.cache/yay/msbuild/src/msbuild-16.3/.dotnet/dotnet-install.sh: Zeile 147: VERSION_ID ist nicht gesetzt.
/run/media/user/Windows/.cache/yay/msbuild/src/msbuild-16.3/.dotnet/dotnet-install.sh: Zeile 147: VERSION_ID ist nicht gesetzt.
dotnet-install: Adding to current process PATH: `/run/media/user/Windows/.cache/yay/msbuild/src/msbuild-16.3/.dotnet`. Note: This change will be visible only when sourcing script.
dotnet-install: Installation finished successfully.

CPU is at 1% It looks like makepkg is paused somehow.

PedroHLC commented on 2019-08-26 13:04

Hi @fmauNeko Your solution is good. Thanks for fiding what was wrong.